Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - Agents

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Agents

Agent registration and gateway communication.

Get agent status for an environment

Get agent status for an environment.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
status
required
string
Enum: "NOT_CONNECTED" "CONNECTED" "NOT_CONFIGURED" "CONNECTING"

NOT_CONNECTED, CONNECTED, NOT_CONFIGURED, or CONNECTING.

object (GatewayInfo)

Gateway connection status and diagnostic info.

remoteIp
string

Remote IP address of the agent.

lastSeen
string <date-time>

Last heartbeat.

Array of objects (AgentCapability) unique

Supported capabilities (discovery, deployment, metrics).

object (AgentBuildInfo)

Agent build version and commit info.

Response samples

Content type
application/json
{
  • "status": "NOT_CONNECTED",
  • "gateway": {
    • "status": "UNKNOWN",
    • "errors": [
      ]
    },
  • "remoteIp": "string",
  • "lastSeen": "2019-08-24T14:15:22Z",
  • "capabilities": [
    • {
      }
    ],
  • "buildInfo": {
    • "version": "string",
    • "commit": "string",
    • "buildTime": "2019-08-24T14:15:22Z"
    }
}

Register or reset agent for an environment

Request new agent token for an environment. Any existing token will be overwritten, which means agents can no longer connect with that token.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
token
required
string

Bearer token used by the agent to authenticate with the Control Plane.

Response samples

Content type
application/json
{
  • "token": "string"
}

Delete agent from an environment

Delete the agent token. Agents will no longer be able to use that token to connect.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Generate new agent token for a gateway

Generate a new agent token for an API gateway. Any existing token will be overwritten, which means agents can no longer connect with the previous token.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
token
required
string

Bearer token used by the agent to authenticate with the Control Plane.

Response samples

Content type
application/json
{
  • "token": "string"
}

Refresh gateway info for an environment

Refresh agent status for an environment.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
status
required
string
Enum: "NOT_CONNECTED" "CONNECTED" "NOT_CONFIGURED" "CONNECTING"

NOT_CONNECTED, CONNECTED, NOT_CONFIGURED, or CONNECTING.

object (GatewayInfo)

Gateway connection status and diagnostic info.

remoteIp
string

Remote IP address of the agent.

lastSeen
string <date-time>

Last heartbeat.

Array of objects (AgentCapability) unique

Supported capabilities (discovery, deployment, metrics).

object (AgentBuildInfo)

Agent build version and commit info.

Response samples

Content type
application/json
{
  • "status": "NOT_CONNECTED",
  • "gateway": {
    • "status": "UNKNOWN",
    • "errors": [
      ]
    },
  • "remoteIp": "string",
  • "lastSeen": "2019-08-24T14:15:22Z",
  • "capabilities": [
    • {
      }
    ],
  • "buildInfo": {
    • "version": "string",
    • "commit": "string",
    • "buildTime": "2019-08-24T14:15:22Z"
    }
}

Refresh gateway info asynchronously

Asynchronously refresh agent status for an environment.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
id
required
string <uuid>

UUID of the async job.

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Refresh all gateway info asynchronously

Asynchronously refresh status for all agents.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
id
required
string <uuid>

UUID of the async job.

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Refresh all gateway info asynchronously

Asynchronously refresh status for all agents.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
id
required
string <uuid>

UUID of the async job.

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Refresh all gateway info

Refresh status for all agents.

Authorizations:
bearerAuth

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Refresh all gateway info

Refresh status for all agents.

Authorizations:
bearerAuth

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Refresh gateway info for a specific gateway

Refresh agent status for an API gateway.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
status
required
string
Enum: "NOT_CONNECTED" "CONNECTED" "NOT_CONFIGURED" "CONNECTING"

NOT_CONNECTED, CONNECTED, NOT_CONFIGURED, or CONNECTING.

object (GatewayInfo)

Gateway connection status and diagnostic info.

remoteIp
string

Remote IP address of the agent.

lastSeen
string <date-time>

Last heartbeat.

Array of objects (AgentCapability) unique

Supported capabilities (discovery, deployment, metrics).

object (AgentBuildInfo)

Agent build version and commit info.

Response samples

Content type
application/json
{
  • "status": "NOT_CONNECTED",
  • "gateway": {
    • "status": "UNKNOWN",
    • "errors": [
      ]
    },
  • "remoteIp": "string",
  • "lastSeen": "2019-08-24T14:15:22Z",
  • "capabilities": [
    • {
      }
    ],
  • "buildInfo": {
    • "version": "string",
    • "commit": "string",
    • "buildTime": "2019-08-24T14:15:22Z"
    }
}

Refresh gateway info for a gateway asynchronously

Asynchronously refresh agent status for an API gateway.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
id
required
string <uuid>

UUID of the async job.

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}